/**
 * @license
 * Copyright 2020 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
/**
 * @fileoverview Toolbox category with styling for continuous toolbox.
 */
import * as Blockly from 'blockly/core';
/** Toolbox category for continuous toolbox. */
export declare class ContinuousCategory extends Blockly.ToolboxCategory {
    /**
     * Creates a DOM element to display the category's label.
     *
     * @param name The name of this category.
     * @returns The newly created category label DOM element.
     */
    createLabelDom_(name: string): Element;
    /**
     * Creates a DOM element to display the category's icon. This category uses
     * color swatches instead of graphical icons.
     *
     * @returns The newly created category icon DOM element.
     */
    createIconDom_(): Element;
    /**
     * Adds a color indicator to the toolbox category. Intentionally a no-op.
     */
    addColourBorder_(): void;
    /**
     * Sets whether or not this category is selected in the toolbox.
     *
     * @param isSelected True if this category is selected, otherwise false.
     */
    setSelected(isSelected: boolean): void;
}
//# sourceMappingURL=ContinuousCategory.d.ts.map